org.apache.fop.fonts

## Class SingleByteFont.UnencodedCharacter

- java.lang.Object
- - org.apache.fop.fonts.SingleByteFont.UnencodedCharacter

- Enclosing class:
    SingleByteFont

      protected static final class SingleByteFont.UnencodedCharacter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnencodedCharacter(NamedCharacter character, int width, Rectangle bbox)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rectangle` | `getBBox()`
    `NamedCharacter` | `getCharacter()`
    `int` | `getWidth()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnencodedCharacter

          public UnencodedCharacter(NamedCharacter character,
                                    int width,
                                    Rectangle bbox)

  - ### Method Detail

    - #### getCharacter

          public NamedCharacter getCharacter()

    - #### getWidth

          public int getWidth()

    - #### getBBox

          public Rectangle getBBox()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2023 Apache Software Foundation. All rights reserved.